Skip to content

Submit Imagine Task

POST https://www.kkiai.com/mj/submit/imagine

Official documentation: https://docs.midjourney.com/hc/en-us/articles/32023408776205-Prompt-Basics

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
botTypeenum<string>RequiredBot type, mj (default) or niji
promptstringRequired
base64Arrayarray[string]OptionalBase64 array for reference images
notifyHookstringOptionalCallback URL, uses global notifyHook if empty
statestringOptional

Request Example

json
{
  "base64Array": [],
  "notifyHook": "",
  "prompt": "cat",
  "state": "",
  "botType": "MID_JOURNEY"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/mj/submit/imagine' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "base64Array": [],
  "notifyHook": "",
  "prompt": "cat",
  "state": "",
  "botType": "MID_JOURNEY"
}'

Response

🟢 200 Success

Response Example

json
{
    "code": 1,
    "description": "Submit success",
    "result": "1730621718151844",
    "properties": {
        "discordChannelId": "1300842676874379336",
        "discordInstanceId": "1572398367386955776"
    }
}